FAQ

SwyxPhone firmware (Overview) (kb4189)

Le informazioni contenute nel presente articolo riguardano i seguenti prodotti:

  • SwyxWare 11
  • SwyxWare 2015
  • SwyxWare 2013
  • SwyxWare 2011 R2
  • SwyxWare 2011
  • SwyxPhone L615
  • SwyxWare v7.00
  • SwyxPhone L680
  • SwyxPhone L660
  • SwyxPhone L640
  • SwyxPhone L620
  • SwyxWare v6.20
  • SwyxPhone L540
  • SwyxPhone L520s
  • SwyxPhone L440
  • SwyxPhone L400
  • SwyxPhone L420

[ Domanda | Risposta | Ulteriori informazioni ]


Domanda

Which SwyxPhone firmware version is approved or required for which SwyxWare version?


Risposta

The following tables provide information about which firmware version was delivered togheter with a SwyxWare release for which SwyxPhone model. This is the firmware version that should be used as minimum on the phone together with this SwyxWare version.

If further firmware versions have been approved later on, they are listed in the last column.
Generally it is recommended to use the latest version matching for each model. In some cases this is even mandatory. Please pay attention to the footnotes and linked kb-articles.

Swxy can not provide any guarantee for proper functionality if any other firmware versions not listed here are being used.

 

SwyxWare 11
SwyxPhone Firmware delivered with SwyxWare release 11 Firmware additionaly approved
L62 V1 R1.8.0 V1 R1.13.0 1
L64/L66 V1 R1.10.0 V1 R1.13.0 1
L6xx V3 R0.33.0 2 V3 R0.40.0

1 = Please read details in New Firmware for SwyxPhone L6x Series available (V1 R1.13.0) (kb5049).
2 = Please read details in New Firmware for SwyxPhones L6xx available (V3 R0.40.0) (kb5039).

 

SwyxWare 2015
SwyxPhone Firmware delivered with SwyxWare release 2015 Firmware additionaly approved
L4xx/L5xx (except L420 1) V5 R6.1.0 -
L6xx V2 R1.5.0 V3 R0.16.0
V3 R0.23.0
V3 R0.33.0
V3 R0.40.0 2

1 = This is the (old) L420, without any suffixes in the name (e, p, s), equals the Siemens optiPoint 400 standard. This phone is not supported any more since SwyxWare 2011.
2 = Please read details in New Firmware for SwyxPhones L6xx available (V3 R0.40.0) (kb5039).
 

SwyxWare 2013
SwyxPhone Firmware delivered with SwyxWare release 2013 Firmware additionaly approved
L4xx/L5xx (except L420 1) V5 R6.1.0 -
L6xx V2 R0.95.0

V2 R1.5.0 2
V3 R0.16.0 3
V3 R0.23.0 3
V3 R0.33.0 4

1 = This is the (old) L420, without any suffixes in the name (e, p, s), equals the Siemens optiPoint 400 standard. This phone is not supported any more since SwyxWare 2011.
2 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R1.5.0) (kb4597).
3 = Requires at least SwyxWare 2013 R5 or later
4 = Please read details in New Firmware for SwyxPhones L6xx available (V3 R0.33.0) (kb4799).
 

SwyxWare 2011 R2
SwyxPhone Firmware delivered with SwyxWare release 2011 R2 Firmware additionaly approved
L4xx/L5xx (except L420 1) V5 R6.1.0 -
L6xx V2 R0.57.0 2 V2 R0.64.0 3
V2 R0.90.0 4
V2 R0.90.1 5
V2 R0.95.0 7
V2 R1.5.0 8
L615G - V2 R0.94.0 6
V2 R0.95.0 7
V2 R1.5.0 8

1 = This is the (old) L420, without any suffixes in the name (e, p, s), equals the Siemens optiPoint 400 standard. This phone is not supported any more since SwyxWare 2011.
2 = SwyxPhones L6xx require Firmware V2 R0.57.0 or newer if used with SwyxWare 2011 R2.
3 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.64.0) (kb4365).
4 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.90.0) (kb4407).
5 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.90.1) (kb4460).
6 = Please read details in New Firmware for SwyxPhones L615 (g) available (V2 R0.94.0) (kb4476).
7 = Please read details in New Firmware for all SwyxPhones available (V2 R0.95.0) (kb4484).
8 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R1.5.0) (kb4597).

 

SwyxWare 2011
SwyxPhone Firmware delivered with SwyxWare release 2011 R2 Firmware additionaly approved
L4xx/L5xx (except L420 1) V5 R6.1.0 -
L6xx V2 R0.57.0 2 V2 R0.64.0 3
V2 R0.90.0 4
V2 R0.90.1 5
V2 R0.95.0 7
V2 R1.5.0 8
L615G - V2 R0.94.0 6
V2 R0.95.0 7
V2 R1.5.0 8

1 = This is the (old) L420, without any suffixes in the name (e, p, s), equals the Siemens optiPoint 400 standard. This phone is not supported any more since SwyxWare 2011.
2 = SwyxPhones L6xx require Firmware V2 R0.57.0 or newer if used with SwyxWare 2011.
3 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.64.0) (kb4365).
4 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.90.0) (kb4407).
5 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.90.1) (kb4460).
6 = Please read details in New Firmware for SwyxPhones L615 (g) available (V2 R0.94.0) (kb4476).
7 = Please read details in New Firmware for all SwyxPhones available (V2 R0.95.0) (kb4484).
8 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R1.5.0) (kb4597).

 

SwyxWare v7
SwyxPhone Firmware delivered with SwyxWare release v7 Firmware additionaly approved
L4201 1.1.7  
L4xx/L5xx (except L420 1) V5 R5.8.0 V5 R6.1.0 2
L615 -

V2 R0.35.3 3
V2 R0.35.4 4
V2 R0.51.0 5
V2 R0.90.0 6
V2 R0.90.1 7
V2 R0.94.0 8
V2 R1.5.0 9

L615G - V2 R0.94.0 8
V2 R1.5.0 9
L620, L640 V1 R3.10.0 V2 R0.35.3 3
V2 R0.35.4 4
V2 R0.51.0 5
V2 R0.90.0 6
V2 R0.90.1 7
V2 R1.5.0 9
L660, L680 V1 R3.10.0 V2 R0.51.0 5
V2 R0.90.0 6
V2 R0.90.1 7
V2 R1.5.0 9

1 = This is the (old) L420, without any suffixes in the name (e, p, s), equals the Siemens optiPoint 400 standard.

2 = This firmware is required for newer hardware revisions of L4xx/L5xx. Requires also a new  PhoneMgr. Please read details in  New Firmware for SwyxPhones L4xx und L5xx available (V5R6.1.0) (kb4125).

3 = This firmware is required for newer hardware revisions of L640 but also for supporting the L615. Requires also a new PhoneMgr. Please read details in  PhoneMgr- & firmware update to support L615 and new hardware revision of L640 (v7.0) (kb4141).

4 = This firmware is required for newer hardware revisions of L640, for details read  PhoneMgr- & firmware update to support L615 and new hardware revision of L640 (v7.0) (kb4141).
 For L615 and L620 this firmware is optional.

5 = This firmware is required for newer hardware revisions of L680, for details read  PhoneMgr- & firmware update to support L615 and new hardware revision of L640 (v7.0) (kb4141).
 For L615, L620, L640 and L660 this firmware is optional.

6 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.90.0) (kb4407).

7 = Please read details in New Firmware for SwyxPhones L6xx available (V2 R0.90.1) (kb4460).

8 = Please read details in New Firmware for SwyxPhones L615 (g) available (V2 R0.94.0) (kb4476).

9 = Requires v7 Quickfix 6. Please read details in New Firmware for SwyxPhones L6xx available (V2 R1.5.0) (kb4597).

 

 

SwyxWare v6.20
SwyxPhone Firmware delivered with SwyxWare release v6.20 Firmware additionaly approved
L4201 1.1.7  
L4xx/L5xx (except L420 1) 5.4.6.0 (=V5 R4.6.0) V5 R6.1.0 2
L615 - V2 R0.35.3 3
V2 R0.35.4 4
V2 R0.51.0
5
L620, L640 V1 R3.6.0 V1 R3.10.0
V2 R0.35.3 3
V2 R0.35.4 4
V2 R0.51.0
5
L660, L680 V1 R3.6.0 V1 R3.10.0
V2 R0.51.0
5

1 = This is the (old) L420, without any suffixes in the name (e, p, s), equals the Siemens optiPoint 400 standard.

2 = This firmware is required for newer hardware revisions of L4xx/L5xx. Requires also a new  PhoneMgr. Please read details in New Firmware for SwyxPhones L4xx und L5xx available (V5R6.1.0) (kb4125).

3 = This firmware is required for newer hardware revisions of L640 but also for supporting the L615. Requires also a new PhoneMgr. Please read details in PhoneMgr- & firmware update to support L615 and new hardware revision of L640 (v6.20) (kb4156).

4 = This firmware is required for newer hardware revisions of L640, for details read  New Hardware revision of SwyxPhone L640 requires firmware V2 R0.35.4 (kb4214).  Requires also the new PhoneMgr from  PhoneMgr- & firmware update to support L615 and new hardware revision of L640 (v6.20) (kb4156).
 For L615 and L620 this firmware is optional.

5 = This firmware is required for newer hardware revisions of L680, for details read  New Hardware revision of SwyxPhone L680 requires firmware V2 R0.51.0 (kb4231).  Requires also the new PhoneMgr from  PhoneMgr- & firmware update to support L615 and new hardware revision of L640 (v6.20) (kb4156).
 For L615, L620, L640 and L660 this firmware is optional.


Ulteriori informazioni

Comparison of phone models from Swyx, Unify (Siemens) and Deutsche Telekom (kb3072)


Commento

L'articolo è stato utile? Lasci un commento all'articolo



Come possiamo contattarLa se dal Suo commento dovessero nascere altri quesiti?

Indirizzo e-mail Adresse (facoltativo)


Nota

Il campo destinato ai commenti non è ammesso per richieste all'assistenza. Per quesiti inerenti l'assistenza rivolgersi esclusivamente al proprio rivenditore di fiducia o al distributore competente.